version: '2.2'

services:

  flexinale-distributed-backoffice:
    image: de.accso/flexinale-distributed-backoffice:2024.3.0
    depends_on:
      - flexinale-postgres
      - kafka
      - flexinale-distributed-besucherportal
      - flexinale-distributed-ticketing
    ports:
      - "8081:8081"
    networks:
      - flexinale-network
    command: sh -c "echo 'Waiting 60s ...' & sleep 60 && echo 'Waiting done' && java -Dspring.datasource.url=jdbc:postgresql://flexinale-postgres:5432/distributed-backoffice -Dbootstrap.servers=kafka:29092 -Dspring.kafka.consumer.bootstrap-servers=kafka:29092 -Dspring.kafka.producer.bootstrap-servers=kafka:29092 -jar flexinale-distributed-backoffice-2024.2.0-spring-boot-fat-jar.jar"
